package com.jiuqi.dna.ide.designer.commands;

import com.jiuqi.dna.ide.designer.elements.ILinkElement;
import org.eclipse.draw2d.geometry.Point;
import org.eclipse.gef.commands.Command;

/* loaded from: com_jiuqi_dna_ide_designer_commands.jar:com/jiuqi/dna/ide/designer/commands/BendpointCommand.class */
public abstract class BendpointCommand extends Command {
    protected ILinkElement link;
    protected int index;
    protected Point point;

    public BendpointCommand(ILinkElement link, int index, Point point) {
        if (link == null) {
            throw new NullPointerException("参数link不能为NULL");
        }
        if (index < 0 || index > link.getBendpoints().size()) {
            throw new IllegalArgumentException("参数index非法");
        }
        if (point == null) {
            throw new NullPointerException("参数point不能为NULL");
        }
        this.link = link;
        this.index = index;
        this.point = point;
    }

    public ILinkElement getLink() {
        return this.link;
    }

    public void setLink(ILinkElement link) {
        this.link = link;
    }

    public int getIndex() {
        return this.index;
    }

    public void setIndex(int index) {
        this.index = index;
    }

    public Point getPoint() {
        return this.point;
    }

    public void setPoint(Point point) {
        this.point = point;
    }
}
